package com.zcloud.service.notice.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.notice.NoticeManagementMapper;
import com.zcloud.service.notice.NoticeManagementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：短信管理
 * 作者：luoxiaobao
 * 时间：2021-01-21
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class NoticeManagementServiceImpl implements NoticeManagementService {

	@Autowired
	private NoticeManagementMapper noticemanagementMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		noticemanagementMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		noticemanagementMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		noticemanagementMapper.edit(pd);
	}
	public void editIsEnable(PageData pd)throws Exception{
		noticemanagementMapper.editIsEnable(pd);
	}
	public void editUserName(PageData pd)throws Exception{
		noticemanagementMapper.editUserName(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return noticemanagementMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return noticemanagementMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return noticemanagementMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		noticemanagementMapper.deleteAll(ArrayDATA_IDS);
	}

}

